Creates a new document(s).
Use this method if you want to add a new document(s), it can include Lines and Ingredients. Permissions: All users.
Query Parameters
- Type: booleanRecalculate
Immediately Recalculate recipes and costs immediately or in a queue
- Type: stringFields
This parameter is used to specify a comma delimited list of fields to return for an object. A field group can also be specified in the following format: 'fieldGroupName'. All fields for the object can be returned by specifying 'All'
'Default' group is always shown, even if Fields parameter is not specified. 'Lookup' group will be shown if a model is a child of the required one.
- Type: stringapi
-version
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Body
Mandatory 'body' parameter, used to describe objects.
- Type:Properties: 10
Responses
curl '/PreparedItems?RecalculateImmediately=false' \
--request POST \
--header 'Content-Type: application/json-patch+json' \
--header 'DCKey: YOUR_SECRET_TOKEN' \
--data '[
{
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"BatchNumber": null,
"EntryDate": null,
"BuildDate": null,
"Status": {
"ID": null,
"Description": null
},
"Comment": null,
"Cycle": null,
"LaborHours": null,
"LaborCost": null,
"Lines": [
{
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"PreparedItem": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD"
},
"Measure": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD"
},
"TargetQuantity": 1,
"ActualQuantity": 1,
"Comment": null,
"Ingredients": [
{
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"StoreItem": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD"
},
"Measure": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD"
},
"ActualQuantity": 1,
"Comment": null
}
]
}
]
}
]'
{ "Data": [ { "ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD", "BatchNumber": null, "EntryDate": null, "BuildDate": null, "Status": { "ID": null, "Description": null